Loading...
Searching...
No Matches
LpBase::Row Class Reference

## Detailed Description

This type is used to refer to a row of the LP.

Its value remains valid and correct even after the addition or erase of other rows.

Note
  This class is similar to other Item types in LEMON, like Node and Arc types in digraph.

`#include <lemon/lp_base.h>`

Inheritance diagram for LpBase::Row:
[legend]

## Public Member Functions

| Row ()
| Default constructor.
| Row (const Invalid &)
| Invalid constructor & conversion.
bool | operator== (Row r) const
| Equality operator.
bool | operator!= (Row r) const
| Inequality operator.
bool | operator< (Row r) const
| Artificial ordering operator.

## Constructor & Destructor Documentation

## Row() [1/2]

Row | ( |  | ) |

inline

Warning
  The default constructor sets the Row to an undefined value.

## Row() [2/2]

Row | ( | const Invalid & |  | ) |

inline

This constructor initializes the Row to be invalid.

See also
  Invalid for more details.

## Member Function Documentation

## operator==()

bool operator== | ( | Row | r | ) | const

inline

Two Rows are equal if and only if they point to the same LP row or both are invalid.

## operator!=()

bool operator!= | ( | Row | r | ) | const

inline

See also
  operator==(Row r)

## operator<()

bool operator< | ( | Row | r | ) | const

inline

To allow the use of this object in std::map or similar associative container we require this.

Note
  This operator only have to define some strict ordering of the items; this order has nothing to do with the iteration ordering of the items.